rte_flow_tcp_dir_param(3)

NAME
rte_flow_tcp_dir_param

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t scale:4
uint32_t close_initiated:1
uint32_t last_ack_seen:1
uint32_t data_unacked:1
uint32_t sent_end
uint32_t reply_end
uint32_t max_win
uint32_t max_ack

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

Configuration parameters for each direction of a TCP connection. All fields should be in host byte order. If needed, driver should convert all fields to network byte order if HW needs them in that way.

Definition at line 3989 of file rte_flow.h.

Field Documentation

  uint32_t scale
TCP window scaling factor, 0xF to disable.

Definition at line 3991 of file rte_flow.h.

  uint32_t close_initiated
The FIN was sent by this direction.

Definition at line 3993 of file rte_flow.h.

  uint32_t last_ack_seen
An ACK packet has been received by this side.

Definition at line 3995 of file rte_flow.h.

  uint32_t data_unacked
If set, it indicates that there is unacknowledged data for the packets sent from this direction.

Definition at line 4000 of file rte_flow.h.

  uint32_t sent_end
Maximal value of sequence + payload length in sent packets (next ACK from the opposite direction).

Definition at line 4005 of file rte_flow.h.

  uint32_t reply_end
Maximal value of (ACK + window size) in received packet + length over sent packet (maximal sequence could be sent).

Definition at line 4010 of file rte_flow.h.

  uint32_t max_win
Maximal value of actual window size in sent packets.

Definition at line 4012 of file rte_flow.h.

  uint32_t max_ack
Maximal value of ACK in sent packets.

Definition at line 4014 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.